Bug 291 - Samba 3.0.0 RC1 Panic on saving excel files
Samba 3.0.0 RC1 Panic on saving excel files
Product: Samba 3.0
Classification: Unclassified
Component: File Services
All Windows NT
: P2 normal
: none
Assigned To: Jelmer Vernooij
Depends on:
  Show dependency treegraph
Reported: 2003-08-12 08:52 UTC by Marc Groot Koerkamp
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:

loglevel 10 bugreport (841.51 KB, text/plain)
2003-08-12 09:00 UTC, Marc Groot Koerkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Groot Koerkamp 2003-08-12 08:52:27 UTC
With the latest samba 3.0.0 CVS version (11-08-2003) (as well as previous CVS 
I cannot save files from excel '97 (from nt40 workstations). Files are stored 
as a temp file with no extension and a combination of characters. Reopening 
that file works and I can save it again as the intended filename but save it 
again deletes the file and creates the temp file again.

The filessystem I use is XFS and to make sure it isn't the filesystem I
also recompiled a 2.4.21 kernel with XFS support.

Samba is compiled with acl support. I also experimented with setting
kernel oplocks to false but no result.

I have a log file with log level 10 where a samba panic is mentioned.

The logfile can be downloaded from http://www.its-projects.nl/samba/error.log
Comment 1 Marc Groot Koerkamp 2003-08-12 09:00:34 UTC
Created attachment 68 [details]
loglevel 10 bugreport

At the end of the log the samba panic message is present.
Comment 2 Jelmer Vernooij 2003-08-13 18:02:48 UTC
Taking this one.
Comment 3 Jelmer Vernooij 2003-08-13 18:10:19 UTC
Could you retry without using the vfs_recycle module?
Comment 4 Marc Groot Koerkamp 2003-08-14 10:58:32 UTC
Thnx for the hint, I disabled the recycle module and it works. After that I 
played with the recycle options and the option "recycle: versions= Yes" was 
the cause of the problem.
Comment 5 Jelmer Vernooij 2003-08-14 12:52:53 UTC
Reducing priority, not a showstopper. Only a problem with vfs_recycle 
with 'versions = True' set.
Comment 6 Jelmer Vernooij 2003-08-14 12:58:22 UTC
I think I fixed this one in CVS now. Could you please retry with latest 3_0 CVS 
and your original setup (with vfs_recycle and 'versions = True' ) ?
Comment 7 Marc Groot Koerkamp 2003-08-15 01:33:47 UTC
Thnx Jelmer !

Your fix fixed the issue. The bug is solved.
Comment 8 Jelmer Vernooij 2003-08-15 09:15:33 UTC
Bug fixed, closing...
Comment 9 Gerald (Jerry) Carter 2005-02-07 08:41:32 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 10 Gerald (Jerry) Carter 2005-08-24 10:15:52 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 11 Gerald (Jerry) Carter 2005-11-14 09:24:42 UTC
database cleanup